package de.intevation.gnv.math;

import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;

public class AttributedXYColumns
implements   Serializable
{
    protected XYColumn[] columns;
    protected Map        attributes;

    public AttributedXYColumns() {
    }

    public AttributedXYColumns(XYColumn[] columns) {
        this(columns, null);
    }

    public AttributedXYColumns(XYColumn[] columns, Map attributes) {
        this.columns    = columns;
        this.attributes = attributes;
    }

    public Object getAttribute(Object key) {
        return attributes.get(key);
    }

    public void setAttribute(Object key, Object value) {
        if (attributes == null)
            attributes = new HashMap();

        attributes.put(key, value);
    }

    public XYColumn[] getXYColumns() {
        return columns;
    }

    public void setXYColumns(XYColumn[] columns) {
        this.columns = columns;
    }
}
